Subject: Re: merge help

From: Magnus Bäck <[email-masked]>
Date: Wed, 27 Mar 2013 10:10:40 -0400

On Tuesday, March 26, 2013 at 18:07 EDT,
     "J.V." <[email-masked]> wrote:

> I have a branch for which I have made 0 (nada) changes.  I did the
> following:
> 
> $git pull --rebase --no-stat -v --progress origin mybranch
> 
> I get the following
> 
> U       java/Profile.java
> Pull is not possible because you have unmerged files.
> Please, fix them up in the work tree, and then use 'git add/rm <file>'
> as appropriate to mark resolution, or use 'git commit -a'.
> ----------   (there is no local master branch), because of the
> conflict I was put on (no branch)
> * (no branch)
>   branch1
>   dev
>   tmpWork
> 
> Question 1)
> Why did I get a merge conflict if I have not changed any files?

The error message indicates that you already had a pending merge
conflict when you initiated the pull. Why you had that is impossible
to tell.

> Question 2)
> What is the command to show the difference between the files? (is
> there a visual tool that would let me merge)?

You're looking for this form of "git diff":

       git diff [options] <commit> <commit> [--] [<path>...]

Example:

       git diff origin/master HEAD -- file.c file.h

There are many graphical diff and merge tools that you can configure
for use with Git, e.g. kdiff3 and meld. See git-difftool(1) and
git-mergetool(1).

[...]

-- 
Magnus Bäck
[email-masked]